"use strict";
var common_vendor = require("../../common/vendor.js");
const useAIReponseStore = common_vendor.defineStore("AIResponse", () => {
  const responseText = common_vendor.ref("");
  const showResponseText = common_vendor.ref(false);
  const isLoading = common_vendor.ref(false);
  const isDone = common_vendor.ref(false);
  const reset = () => {
    responseText.value = "";
    showResponseText.value = false;
    isDone.value = false;
  };
  return {
    responseText,
    showResponseText,
    isLoading,
    isDone,
    reset
  };
});
exports.useAIReponseStore = useAIReponseStore;
